# 実行方法
```
cd nszw-solver
make
./solve < QUESTIONFILE
```
or 
```
cd nszw-solver
g++ -o solve solver.cpp main.cpp io.c router/router.cpp -std=c++11
./solve < QUESTIONFILE
```

# 必要ヘッダ
* limits.h
* stdio.h
* vector
* algorithm
* "solver.h"
* "io.h"
* "router/router.hpp"

# 必要ファイル
* router/router.cpp
* io.c
* main.cpp
* solver.cpp

# 制約
* ブロックの横総数が72より小さい
* ブロックの縦総数が72より小さい

# アルゴリズム
* ブロックを縦，横に写像
* 写像をもとに配置,配線
* 配線に沿って縮小
* 空白を埋めるように縮小
* 解答
